Bug 483620 - Review Request: libbind - ISC's standard resolver library
Review Request: libbind - ISC's standard resolver library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 11:37 EST by Adam Tkac
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 12:11:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2009-02-02 11:37:38 EST
Spec URL: http://atkac.fedorapeople.org/libbind.spec
SRPM URL: http://atkac.fedorapeople.org/libbind-6.0-0.1.b1.fc11.src.rpm

libbind was part of bind package but upstream has splitted libbind to separate tarball. Thus it makes sence to split it to separate package.

Note about man pages - most of them currently conflict with glibc's manual pages so I removed them. (they are same as glibc's)
Comment 1 Dan Horák 2009-02-17 06:00:20 EST
formal review is here, see the notes below:

OK	source files match upstream:
	    05affb35022128a71d8660b6bcb0b0858a49c330  libbind-6.0b1.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK*	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
BAD	rpmlint is silent.
BAD	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
BAD	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- no need to manually export CFLAGS, the %configure macro takes care of that (rpmbuild --eval %configure)
- rpmlint complains a bit
libbind-devel.x86_64: W: obsolete-not-provided bind-devel
libbind.x86_64: W: obsolete-not-provided bind-libs
	you should drop the F-7 bits and see https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages for details and/or explain your variant with respect to the guideline
libbind.x86_64: W: no-documentation
	you should include CHANGES, COPYRIGHT and README as %doc
libbind.x86_64: W: shared-lib-calls-exit /usr/lib64/libbind.so.4.2.0 exit@GLIBC_2.2.5
	IMHO can be ignored
- you shouldn't own %{_includedir}/{arpa,net,sys} directories (list only the headers) and rather make a dependency on glibc-headers
Comment 2 Adam Tkac 2009-02-19 11:01:28 EST
Updated files:

http://atkac.fedorapeople.org/libbind.spec
http://atkac.fedorapeople.org/libbind-6.0-0.2.b1.fc11.src.rpm

libbind.x86_64: W: obsolete-not-provided bind-libs

Well, I don't think it is wise to put Provides: bind-libs to spec. "Old" bind-libs contained both bind-libs and libbind files. Some libraries have been splitted to libbind but some libraries are still in bind-libs. Due this reason I think we should not provide bind-libs.
Comment 3 Dan Horák 2009-02-24 04:28:28 EST
few final notes:
- the bind-libbind* Provides/Obsoletes can be completely removed, because bind-libbind was present only in F <= 7.
- the bind-libs/bind-devel Obsolete should be removed too, because you are only moving one library into a separate package
- freeciv, milter-greylist and dnscap should require an update of BuildRequires after importing libbind
Comment 5 Dan Horák 2009-03-04 03:10:25 EST
All issues are fixed, this package is APPROVED.
Comment 6 Adam Tkac 2009-03-04 04:21:47 EST
New Package CVS Request
=======================
Package Name: libbind
Short Description: ISC's standard resolver library
Owners: atkac
Branches: devel
InitialCC:
Comment 7 Kevin Fenzi 2009-03-05 15:10:41 EST
cvs done.
Comment 8 Adam Tkac 2009-03-09 12:11:15 EDT
libbind is in rawhide and all dependant packages are successfully rebuilt.

Note You need to log in before you can comment on or make changes to this bug.